Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 588527 - SELinux is preventing /usr/bin/certwatch "read write" access on coolkeypk11sE-Gate 0 0-0.
Summary: SELinux is preventing /usr/bin/certwatch "read write" access on coolkeyp...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:b706d5bb285...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-03 21:17 UTC by Ameya Gore
Modified: 2010-08-16 07:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-04 13:05:22 UTC


Attachments (Terms of Use)

Description Ameya Gore 2010-05-03 21:17:06 UTC
Summary:

SELinux is preventing /usr/bin/certwatch "read write" access on
coolkeypk11sE-Gate 0 0-0.

Detailed Description:

SELinux denied access requested by certwatch. It is not expected that this
access is required by certwatch and this access may signal an intrusion attempt.
It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:certwatch_t:s0-s0:c0.c1023
Target Context                system_u:object_r:var_t:s0
Target Objects                coolkeypk11sE-Gate 0 0-0 [ file ]
Source                        certwatch
Source Path                   /usr/bin/certwatch
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           crypto-utils-2.4.1-24
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-110.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux starship 2.6.32.11-99.fc12.i686.PAE #1 SMP
                              Mon Apr 5 16:15:03 EDT 2010 i686 i686
Alert Count                   2
First Seen                    Mon 03 May 2010 01:39:07 PM PDT
Last Seen                     Mon 03 May 2010 02:14:03 PM PDT
Local ID                      66ef4e7c-1f55-44a2-bc1a-96903cd20875
Line Numbers                  

Raw Audit Messages            

node=starship type=AVC msg=audit(1272921243.140:26990): avc:  denied  { read write } for  pid=2771 comm="certwatch" name=636F6F6C6B6579706B313173452D47617465203020302D30 dev=dm-1 ino=150301 scontext=system_u:system_r:certwatch_t:s0-s0:c0.c1023 tcontext=system_u:object_r:var_t:s0 tclass=file

node=starship type=SYSCALL msg=audit(1272921243.140:26990): arch=40000003 syscall=5 success=no exit=-13 a0=935bd48 a1=20002 a2=180 a3=935bd30 items=0 ppid=2766 pid=2771 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=2 comm="certwatch" exe="/usr/bin/certwatch" subj=system_u:system_r:certwatch_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,certwatch,certwatch_t,var_t,file,read,write
audit2allow suggests:

#============= certwatch_t ==============
allow certwatch_t var_t:file { read write };

Comment 1 Ameya Gore 2010-05-03 21:21:36 UTC
Things I was doing.
Updating Fedora 12 using updates repository by yum update.
Installed rpmfusion-free and non-free plugins for Live India toolbar.

Comment 2 Miroslav Grepl 2010-05-04 13:05:22 UTC
Looks like you have a labeling problem. Run

restorecon -R -v /var/cache 


Should fix. If this happens again please reopen this bug.


Note You need to log in before you can comment on or make changes to this bug.